const system=require("../../../system");
const settings=require("../../../../config/settings");
const uiconfig=system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("labour", {
    labour_type: DataTypes.STRING(50),
    labour_count: DataTypes.INTEGER,
    age_range: DataTypes.STRING(50),
    sex_ratio: DataTypes.STRING(10),
    labour_address: DataTypes.STRING(1000),
    report_date: DataTypes.DATE,
    work_address: DataTypes.STRING(1000),
    situation_memo: DataTypes.STRING,
    phone_no: DataTypes.STRING(20),
    user_id: DataTypes.INTEGER,
    cur_type: DataTypes.INTEGER,
    cur_status: DataTypes.STRING(16),
    publish_date: DataTypes.DATE,
    pic_path: DataTypes.STRING(2000),
  },{
    paranoid: true,//假的删除
    underscored: true,
    version: false,
    freezeTableName: true,
    //freezeTableName: true,
     // define the table's name
    tableName: 'labour_info',
    validate: {

     },
     indexes:[
       // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
         //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
         //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
         //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
     ]
  });
}
